Subject: [netext] Use of Mobile Network Prefix option, and multiplicity, draft-ietf-netext-pd-pmip-03

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Aug 2012 16:20:00 -0700

About this text in draft-ietf-netext-pd-pmip-03:
> 3.   Upon receiving the DHCPv6 SOLICIT message, the mobile access
> gateway sends a proxy binding update (PBU) message to the local
> mobility anchor, including a Mobile Network Prefix (MNP) mobility
> option as defined in Section 4.3 of [RFC3963].  All the
> considerations from Section 5.3.1 of [RFC5213] MUST be applied on
> the encapsulated Proxy Binding Update message.

Maybe the PBU is not encapsulated, right?

> If the mobile access gateway does not know the delegated prefix,
> then the mobile network prefix in the MNP option MUST be set to the
> unspecified address "::" and the prefix length to 0.  The local
> mobility anchor either assigns the MR a new delegated prefix or
> returns an existing one.

Would it be possible to include several Mobile Network Prefix mobility
options, each set to 0, such that to obtain allocaiton of several prefixes?

Alex